Skip to main content
POST
Create a variable

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Body

application/json
key
string
required

the key of the environment variable

value
string
required

the value of the environment variable

is_secret
boolean
required

if true, the variable will be considered as a secret and will not be accessible after its creation. Only your applications will be able to access its value at build and run time.

variable_scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
variable_parent_id
string<uuid>
required

based on the selected scope, it contains the ID of the service, environment or project where the variable is attached

mount_path
string | null

the path where the file will be mounted (only if type =file)

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null
secret_manager_access_id
string<uuid> | null

Response

Create a variable

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required
value
string | null
required
scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
variable_type
enum<string>
required

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET, FILE_EXTERNAL_SECRET)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE,
EXTERNAL_SECRET,
FILE_EXTERNAL_SECRET
is_secret
boolean
required
updated_at
string<date-time>
read-only
mount_path
string | null
overridden_variable
object
aliased_variable
object
service_id
string<uuid>

The id of the service referenced by this variable.

service_name
string

The name of the service referenced by this variable.

service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)

description
string
enable_interpolation_in_file
boolean
secret_manager_access_id
string<uuid> | null